Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class AbstractPCData

    java.lang.Object
      org.apache.openjpa.kernel.AbstractPCData

All Implemented Interfaces:
  Serializable, PCData

Direct Known Subclasses:
  PCDataImpl

    public abstract class AbstractPCData

extends Object
implements PCData

Abstract base class which implements core PCData behavior.

Author:
  Patrick Linskey, Abe White
See Also:
  Serialized Form

Field Summary
`static Object` | `NULL`

Constructor Summary
`AbstractPCData()`

Method Summary
`abstract BitSet` | `getLoaded()` Return the loaded field mask.
`boolean` | `isLoaded(int field)` Whether the given field index has stored data.
`abstract AbstractPCData` | `newEmbeddedPCData(OpenJPAStateManager sm)` Create a new pcdata for holding the state of an embedded instance.
`protected Object` | `toData(FieldMetaData fmd, Object val, StoreContext ctx)` Transform the given field value to a data value for caching.
`protected Object` | `toEmbeddedData(Object val, StoreContext ctx)` Return the value to cache for the given embedded PC.
`protected Object` | `toEmbeddedField(OpenJPAStateManager sm, ValueMetaData vmd, Object data, FetchConfiguration fetch, Object context)` Transform the given data into an embedded PC field value.
`protected Object` | `toField(OpenJPAStateManager sm, FieldMetaData fmd, Object data, FetchConfiguration fetch, Object context)` Transform the given data value into its field value.
`protected Object` | `toNestedData(ValueMetaData vmd, Object val, StoreContext ctx)` Transform the given nested value to a cachable value.
`protected Object` | `toNestedField(OpenJPAStateManager sm, ValueMetaData vmd, Object data, FetchConfiguration fetch, Object context)` Transform the given data value to its field value.
`protected Collection` | `toNestedFields(OpenJPAStateManager sm, ValueMetaData vmd, Collection data, FetchConfiguration fetch, Object context)` Transform the given data value to its field value.
`protected Object` | `toRelationData(Object val, StoreContext ctx)` Return the value to cache for the given object.
`protected Object` | `toRelationField(OpenJPAStateManager sm, ValueMetaData vmd, Object data, FetchConfiguration fetch, Object context)` Transform the given data into a relation field value.
`protected Object[]` | `toRelationFields(OpenJPAStateManager sm, Object data, FetchConfiguration fetch)` Transform the given data into relation field values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.kernel.PCData
`getCache, getData, getId, getImplData, getType, getVersion, load, load, setImplData, setVersion, store, store`

Field Detail

### NULL

    public static final Object NULL

Constructor Detail

### AbstractPCData

    public AbstractPCData()

Method Detail

### getLoaded

    public abstract BitSet getLoaded()

  Return the loaded field mask.

### newEmbeddedPCData

    public abstract AbstractPCData newEmbeddedPCData(OpenJPAStateManager sm)

  Create a new pcdata for holding the state of an embedded instance.

### isLoaded

    public boolean isLoaded(int field)

  Description copied from interface: `PCData`
  Whether the given field index has stored data.

  Specified by:
    `isLoaded` in interface `PCData`

### toField

    protected Object toField(OpenJPAStateManager sm,
                             FieldMetaData fmd,
                             Object data,
                             FetchConfiguration fetch,
                             Object context)

  Transform the given data value into its field value.

### toNestedField

    protected Object toNestedField(OpenJPAStateManager sm,
                                   ValueMetaData vmd,
                                   Object data,
                                   FetchConfiguration fetch,
                                   Object context)

  Transform the given data value to its field value. The data value may be a key, value, or element of a map or collection.

### toNestedFields

    protected Collection toNestedFields(OpenJPAStateManager sm,
                                        ValueMetaData vmd,
                                        Collection data,
                                        FetchConfiguration fetch,
                                        Object context)

  Transform the given data value to its field value. The data value may be a key, value, or element of a map or collection.

### toRelationField

    protected Object toRelationField(OpenJPAStateManager sm,
                                     ValueMetaData vmd,
                                     Object data,
                                     FetchConfiguration fetch,
                                     Object context)

  Transform the given data into a relation field value. Default implementation assumes the data is an oid.

### toRelationFields

    protected Object[] toRelationFields(OpenJPAStateManager sm,
                                        Object data,
                                        FetchConfiguration fetch)

  Transform the given data into relation field values. Default implementation assumes the data is an oid.

### toEmbeddedField

    protected Object toEmbeddedField(OpenJPAStateManager sm,
                                     ValueMetaData vmd,
                                     Object data,
                                     FetchConfiguration fetch,
                                     Object context)

  Transform the given data into an embedded PC field value. Default implementation assumes the data is an `AbstractPCData`.

### toData

    protected Object toData(FieldMetaData fmd,
                            Object val,
                            StoreContext ctx)

  Transform the given field value to a data value for caching. Return `NULL` if unable to cache.

### toNestedData

    protected Object toNestedData(ValueMetaData vmd,
                                  Object val,
                                  StoreContext ctx)

  Transform the given nested value to a cachable value. Return `NULL` if the value cannot be cached.

### toRelationData

    protected Object toRelationData(Object val,
                                    StoreContext ctx)

  Return the value to cache for the given object. Caches its oid by default.

### toEmbeddedData

    protected Object toEmbeddedData(Object val,
                                    StoreContext ctx)

  Return the value to cache for the given embedded PC. Caches a `PCData` from `newEmbeddedPCData(org.apache.openjpa.kernel.OpenJPAStateManager)` by default.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.